<form [formGroup]="colorForm">
  <div>
    <label for="color-input">Color:</label>
    <input type="text" id="color-input" formControlName="color" />
    <button type="button" (click)="doSubmitColor()">
      {{ buttonText }}
    </button>
  </div>
</form>
